| PST SDK 6.0.0.0-272350a

Static Public Attributes | List of all members
pstech.pstsdk.errors.EStatusMessage Class Reference

Tracker status messages enum class. More...

Inheritance diagram for pstech.pstsdk.errors.EStatusMessage:
[legend]
Collaboration diagram for pstech.pstsdk.errors.EStatusMessage:
[legend]

## Static Public Attributes
int | OK = 0
| The system is running OK. More...
int | NOT_INITIALIZED = 1
| Tracker failed to initialize correctly. More...
int | DISCONNECTED = 2
| The grabber has been disconnected. More...
int | GENERAL_ERROR = 3
| Unspecified grabber error. More...
int | TIMEOUT_ERROR = 4
| Grabber timeout error. More...
int | NOCAMS_FOUND = 5
| Grabber could not detect any cameras. More...
int | NOTENOUGHCAMS_FOUND = 6
| Grabber could not detect sufficient cameras. More...
int | INIT_ERROR = 7
| Grabber did not initialize correctly. More...
int | CANNOT_START_CAMS = 8
| Grabber could not start cameras. More...
int | CANNOT_SETUP_CAMS = 9
| Grabber failed setting up cameras. More...
int | NULL_TRACKER_HANDLE_ERROR = 10
| Tracker not created or freed. More...
int | UNKNOWN_STATUS = 11
| Unknown status message. More...

## Detailed Description

Tracker status messages enum class.

This enum class lists all status messages that can be reported by the tracker.

See also
  tracker.Tracker.system_check

## Member Data Documentation

## ◆ CANNOT_SETUP_CAMS

pstech.pstsdk.errors.EStatusMessage.CANNOT_SETUP_CAMS = 9
| static

Grabber failed setting up cameras.

## ◆ CANNOT_START_CAMS

pstech.pstsdk.errors.EStatusMessage.CANNOT_START_CAMS = 8
| static

Grabber could not start cameras.

## ◆ DISCONNECTED

pstech.pstsdk.errors.EStatusMessage.DISCONNECTED = 2
| static

The grabber has been disconnected.

## ◆ GENERAL_ERROR

pstech.pstsdk.errors.EStatusMessage.GENERAL_ERROR = 3
| static

Unspecified grabber error.

## ◆ INIT_ERROR

pstech.pstsdk.errors.EStatusMessage.INIT_ERROR = 7
| static

Grabber did not initialize correctly.

## ◆ NOCAMS_FOUND

pstech.pstsdk.errors.EStatusMessage.NOCAMS_FOUND = 5
| static

Grabber could not detect any cameras.

## ◆ NOT_INITIALIZED

pstech.pstsdk.errors.EStatusMessage.NOT_INITIALIZED = 1
| static

Tracker failed to initialize correctly.

## ◆ NOTENOUGHCAMS_FOUND

pstech.pstsdk.errors.EStatusMessage.NOTENOUGHCAMS_FOUND = 6
| static

Grabber could not detect sufficient cameras.

## ◆ NULL_TRACKER_HANDLE_ERROR

pstech.pstsdk.errors.EStatusMessage.NULL_TRACKER_HANDLE_ERROR = 10
| static

Tracker not created or freed.

## ◆ OK

pstech.pstsdk.errors.EStatusMessage.OK = 0
| static

The system is running OK.

## ◆ TIMEOUT_ERROR

pstech.pstsdk.errors.EStatusMessage.TIMEOUT_ERROR = 4
| static

Grabber timeout error.

## ◆ UNKNOWN_STATUS

pstech.pstsdk.errors.EStatusMessage.UNKNOWN_STATUS = 11
| static

Unknown status message.

The documentation for this class was generated from the following file:

- C:/CI/builds/c149454a/0/ps-tech/pst-distributor/pstsdk/python/pstech/pstsdk/errors.py